This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149698 - gstreamer fails to find the capability to play m4a's even when appropriate plugin is installed
gstreamer fails to find the capability to play m4a's even when appropriate pl...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gstreamer-plugins (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 10:07 EST by rob
Modified: 2013-10-20 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description rob 2005-02-25 10:07:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041215 Firefox/1.0 Red Hat/1.0-12.EL4

Description of problem:
gstreamer fails to find the capability to play m4a's even when an
appropriate plugin is installed.  this problem can be fixed by adding
this patch from upstream:

===================================================================

RCS file: /cvs/gstreamer/gst-plugins/gst/typefind/gsttypefindfunctions.c,v
retrieving revision 1.51
retrieving revision 1.52
diff -u -r1.51 -r1.52
--- gsttypefindfunctions.c	2004/10/07 09:56:43	1.51
+++ gsttypefindfunctions.c	2004/10/25 09:01:43	1.52
@@ -878,7 +878,7 @@
   guint8 *data = gst_type_find_peek (tf, 4, 8);
 
   if (data && memcmp (data, "ftypM4A ", 8) == 0) {
-    gst_type_find_suggest (tf, GST_TYPE_FIND_MAXIMUM, AAC_CAPS);
+    gst_type_find_suggest (tf, GST_TYPE_FIND_MAXIMUM, M4A_CAPS);
   }
 }


Version-Release number of selected component (if applicable):
gstreamer-plugins-0.8.5-1.EL.0

How reproducible:
Always

Steps to Reproduce:
1. install gstreamer-plugins-aac, which requires faad and faac.
$ rpm -ivh \
http://www.stl.gtri.gatech.edu/rmyers/gstreamer-plugins-aac-0.8.5-0.stl.4.i386.rpm
\ http://www.stl.gtri.gatech.edu/rmyers/faad2-2.0-2.20040923.rf.i386.rpm \
http://www.stl.gtri.gatech.edu/rmyers/faac-1.24-1.dag.i386.rpm

2. ensure that gstreamer registers the plugin.
$ gst-register | grep faad

3. check that gstreamer can find the correct plugin to handle an m4a.
$ gst-typefind-i386 a.m4a


Actual Results:  gst-typefind returns this:
a.m4a - No type found

Expected Results:  gst-typefind should return:
a.m4a - audio/x-m4a

Additional info:

the upstream patch is located here:
http://cvs.freedesktop.org/gstreamer/gst-plugins/gst/typefind/gsttypefindfunctions.c?r1=1.51&r2=1.52&makepatch=1&diff_format=u

this may also fix FC-3 bug #137706
Comment 1 Jiri Pallich 2012-06-20 12:09:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.